VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Tileset"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Dim c_isDefault As Boolean
Dim c_general As frmGeneral
Dim c_parent As frmMain

Private Type BITMAPFILEHEADER
    bfType As Integer
    bfSize As Long
    bfReserved1 As Integer
    bfReserved2 As Integer
    bfOffBits As Long
End Type
 
Private Type BITMAPINFOHEADER
    biSize As Long
    biWidth As Long
    biHeight As Long
    biPlanes As Integer
    biBitCount As Integer
    biCompression As Long
    biSizeImage As Long
    biXPelsPerMeter As Long
    biYPelsPerMeter As Long
    biClrUsed As Long
    biClrImportant As Long
End Type

Private Type RGBQUAD
    rgbBlue As Byte
    rgbGreen As Byte
    rgbRed As Byte
    rgbReserved As Byte
End Type

Dim BMPFileHeader As BITMAPFILEHEADER   'Holds the file header
Dim BMPInfoHeader As BITMAPINFOHEADER   'Holds the info header
Dim BMPRGBQuad() As RGBQUAD             'Holds the colour table
Dim BMPData() As Byte                   'Holds the pixel data


Private Sub Class_Initialize()
    isDefault = False
End Sub

Sub Initialize(frmgen As frmGeneral)
    c_general = frmgen
End Sub

Private Property Get isDefault() As Boolean
    isDefault = c_isDefault
End Property

Private Property Let isDefault(ByVal default As Boolean)
    c_isDefault = default
End Property

Sub MakeDefault()
    If c_isDefault Then
        Exit Sub
    End If
    
'    frmMain.StopSelecting
    isDefault = True
    mnudiscardtileset.Enabled = False
    
    pictileset.Picture = LoadPicture(App.path & "\default.bmp")
    
    frmGeneral.piczoomtileset.Width = frmGeneral.pictileset.Width * zoom
    frmGeneral.piczoomtileset.Height = frmGeneral.pictileset.Height * zoom
    
    With frmGeneral
        SetStretchBltMode .piczoomtileset.hdc, HALFTONE
        StretchBlt .piczoomtileset.hdc, 0, 0, .piczoomtileset.Width, .piczoomtileset.Height, .pictileset.hdc, 0, 0, .pictileset.Width, .pictileset.Height, vbSrcCopy
        .piczoomtileset.refresh
    End With
    
    frmMain.UpdateLevel
End Sub
